Debian Bug report logs - #688873
RFP: nomacs -- short description

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Wed, 26 Sep 2012 15:09:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Wed, 26 Sep 2012 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 26 Sep 2012 15:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: nomacs -- short description
Date: Wed, 26 Sep 2012 11:05:53 -0400
Package: wnpp
Severity: wishlist

* Package name    : nomacs
  Version         : 0.4.0
  Upstream Author : developers@nomacs.org
* URL             : http://www.nomacs.org/
* License         : GPL3
  Programming Lang: C++
  Description     : image viewer with capability of syncing multiple instances

 nomacs is a free image viewer for windows and linux systems, which is
 licensed under the GNU General Public License v3. nomacs is small, fast and
 able to handle the most common image formats. Additionally it is possible to
 synchronize multiple viewers. A synchronization of viewers running on
 the same computer or via LAN is possible. It allows one to compare images
 and spot the differences (e.g. schemes of architects to show the
 progress).

(Description taken from the PPA:

https://launchpad.net/~nomacs/+archive/stable

package looks pretty decent and fit for inclusion in archive.)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Wed, 26 Sep 2012 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Sep 2012 15:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 688873@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Stefan Fiel <stefan@nomacs.org>
Cc: 688873@bugs.debian.org
Subject: nomacs in Debian
Date: Wed, 26 Sep 2012 11:20:21 -0400
[Message part 1 (text/plain, inline)]
Hi!

How would you feel about having an official Debian package for nomacs in
the Debian and therefore, eventually Ubuntu archives?

I have opened an RFP (Request For Package) for that purpose in the
Debian BTS (Bug Tracking System), you can follow it here:

http://bugs.debian.org/688873

There are minimal changes required for the package to work in Debian,
according to lintian:

E: nomacs changes: bad-distribution-in-changes-file oneiric
W: nomacs source: native-package-with-dash-version
W: nomacs source: unknown-field-in-dsc original-maintainer
W: nomacs: hardening-no-relro usr/bin/nomacs
P: nomacs: no-upstream-changelog
W: nomacs: latest-debian-changelog-entry-without-new-version
P: nomacs: copyright-has-crs

As a Debian Developper, I would be to help in getting that package into
shape for inclusion in Debian. Unfortunately, it won't make it for the
next release, but we can aim for the one after that. Either way, it will
eventually trickle down into Ubuntu, which is also good. :)

Let me know.

A.

-- 
It is better to sit alone than in company with the bad; and it is better
still to sit with the good than alone. It better to speak to a seeker of
knowledge than to remain silent; but silence is better than idle words.
                        - Imam Bukhari
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Wed, 26 Sep 2012 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fiel <stefan@nomacs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Sep 2012 16:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 688873@bugs.debian.org (full text, mbox):

From: Stefan Fiel <stefan@nomacs.org>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Wed, 26 Sep 2012 18:04:15 +0200
Hi Antoine,

Thank you very much for contacting us. We would be glad to have an 
official Debian package. Your help with the packaging would be 
appreciated since we do not have enough experience in making a correct 
package :)

Since there are upcoming features for the next releases (like making HDR 
images (see our GSoC project)) which are requiring more libs, we are 
currently thinking about splitting up the package to reduce the 
dependencies for those who just want a simple image viewer. We don't 
know if this is desirable for packages in Debian and we are also not 
sure about the correct way of doing this. Would be great if you can give 
us some advices.

Greetings,

Stefan


On 26.09.2012 17:20, Antoine Beaupré wrote:
> Hi!
>
> How would you feel about having an official Debian package for nomacs in
> the Debian and therefore, eventually Ubuntu archives?
>
> I have opened an RFP (Request For Package) for that purpose in the
> Debian BTS (Bug Tracking System), you can follow it here:
>
> http://bugs.debian.org/688873
>
> There are minimal changes required for the package to work in Debian,
> according to lintian:
>
> E: nomacs changes: bad-distribution-in-changes-file oneiric
> W: nomacs source: native-package-with-dash-version
> W: nomacs source: unknown-field-in-dsc original-maintainer
> W: nomacs: hardening-no-relro usr/bin/nomacs
> P: nomacs: no-upstream-changelog
> W: nomacs: latest-debian-changelog-entry-without-new-version
> P: nomacs: copyright-has-crs
>
> As a Debian Developper, I would be to help in getting that package into
> shape for inclusion in Debian. Unfortunately, it won't make it for the
> next release, but we can aim for the one after that. Either way, it will
> eventually trickle down into Ubuntu, which is also good. :)
>
> Let me know.
>
> A.
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Wed, 26 Sep 2012 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 Sep 2012 18:00:04 GMT) Full text and rfc822 format available.

Message #20 received at 688873@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Stefan Fiel <stefan@nomacs.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Wed, 26 Sep 2012 13:56:57 -0400
[Message part 1 (text/plain, inline)]
On 2012-09-26, Stefan Fiel wrote:
> Hi Antoine,
>
> Thank you very much for contacting us. We would be glad to have an 
> official Debian package. Your help with the packaging would be 
> appreciated since we do not have enough experience in making a correct 
> package :)

Awesome! You already seem to have done a pretty good job out there!

> Since there are upcoming features for the next releases (like making HDR 
> images (see our GSoC project)) which are requiring more libs, we are 
> currently thinking about splitting up the package to reduce the 
> dependencies for those who just want a simple image viewer. We don't 
> know if this is desirable for packages in Debian and we are also not 
> sure about the correct way of doing this. Would be great if you can give 
> us some advices.

This is fine in Debian. Take for example the Nginx packages:

http://packages.debian.org/search?keywords=nginx

you have nginx, nginx-light, nginx-extra, nginx-full, which are all
compiled with different flags, and "conflict" with each other - so that
they can provide the same binary and you need to choose the one you
want.

I am not sure how they do that in the source package, we would need to
look at it. But basically, you, as upstream, just need to provide
./configure flags (or similar). Ideally, a single compile process could
generate all binaries so that it makes everything shorter, but it can
probably be done otherwise (again, probably how nginx works).

i can look into this further if you're interested, but otherwise here's
the git repository for the Nginx debian package:

http://anonscm.debian.org/gitweb/?p=collab-maint/nginx.git;a=summary

Let me know if you need any help. I may take some time to adapt the
package from the PPA and upload it straight into Debian.

I can either keep you as a maintainer, which will make you responsible
for answering bug reports filed against the package and so on. To upload
the package, you will need a sponsor (I would be happy to do that)
unless you do not go through the "Debian Maintainer" process. :)

The alternative is that I mark myself as the maintainer and upload the
packages when you guys make a relase. I would prefer having you as a
maintainer and help you with only the uploads, however, as I am not sure
I will be using the software in the long run - I just discovered it. :)

Good luck,

A.

-- 
Debugging is twice as hard as writing the code in the first place.
Therefore, if you write the code as cleverly as possible, you are, by
definition, not smart enough to debug it.
                        - Brian W. Kernighan
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Thu, 27 Sep 2012 06:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fiel <stefan@nomacs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 27 Sep 2012 06:39:06 GMT) Full text and rfc822 format available.

Message #25 received at 688873@bugs.debian.org (full text, mbox):

From: Stefan Fiel <stefan@nomacs.org>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Thu, 27 Sep 2012 08:36:54 +0200
On 26.09.2012 19:56, Antoine Beaupré wrote:
> Let me know if you need any help. I may take some time to adapt the
> package from the PPA and upload it straight into Debian.
Thank you very much for the tip with nginx, i will take a look at it how
they solve this issue and if it fullfills our needs. But I will also try
to find a packages which uses cmake, since i don't want to switch to
autoconf/automake.

I will also take a look at our current package and the errors and
warnings of lintian, and also read the debian packaging manuals again :)
> I can either keep you as a maintainer, which will make you responsible
> for answering bug reports filed against the package and so on. To upload
> the package, you will need a sponsor (I would be happy to do that)
> unless you do not go through the "Debian Maintainer" process. 
>
> The alternative is that I mark myself as the maintainer and upload the
> packages when you guys make a relase. I would prefer having you as a
> maintainer and help you with only the uploads, however, as I am not sure
> I will be using the software in the long run - I just discovered it. 
Sure you will use it :)
I would be happy to maintain the package. Means (hopefully) less work
for you.

Greetings

Stefan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Thu, 27 Sep 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 27 Sep 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #30 received at 688873@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Stefan Fiel <stefan@nomacs.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Thu, 27 Sep 2012 12:38:24 -0400
[Message part 1 (text/plain, inline)]
On 2012-09-27, Stefan Fiel wrote:
> On 26.09.2012 19:56, Antoine Beaupré wrote:
>> Let me know if you need any help. I may take some time to adapt the
>> package from the PPA and upload it straight into Debian.
> Thank you very much for the tip with nginx, i will take a look at it how
> they solve this issue and if it fullfills our needs. But I will also try
> to find a packages which uses cmake, since i don't want to switch to
> autoconf/automake.
>
> I will also take a look at our current package and the errors and
> warnings of lintian, and also read the debian packaging manuals again :)
>> I can either keep you as a maintainer, which will make you responsible
>> for answering bug reports filed against the package and so on. To upload
>> the package, you will need a sponsor (I would be happy to do that)
>> unless you do not go through the "Debian Maintainer" process. 
>>
>> The alternative is that I mark myself as the maintainer and upload the
>> packages when you guys make a relase. I would prefer having you as a
>> maintainer and help you with only the uploads, however, as I am not sure
>> I will be using the software in the long run - I just discovered it. 
> Sure you will use it :)
> I would be happy to maintain the package. Means (hopefully) less work
> for you.

Indeed!

Let me know when you have some progress on the package and I'll test it
again.

I strongly encourage you to look into pbuilder and cowdancer for build
environments - you can't really build Debian packages on Ubuntu unless
you use those tools.

See also:

http://wiki.debian.org/cowbuilder#Using_with_git-buildpackage
http://wiki.debian.org/PackagingWithGit

a.

-- 
There has been only one Christian.
They caught him and crucified him -- early.
                        - Mark Twain
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Fri, 28 Sep 2012 09:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fiel <stefan@nomacs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Sep 2012 09:15:07 GMT) Full text and rfc822 format available.

Message #35 received at 688873@bugs.debian.org (full text, mbox):

From: Stefan Fiel <stefan@nomacs.org>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Fri, 28 Sep 2012 11:10:58 +0200
On 27.09.2012 18:38, Antoine Beaupré wrote:
> Let me know when you have some progress on the package and I'll test it
> again.
>
> I strongly encourage you to look into pbuilder and cowdancer for build
> environments - you can't really build Debian packages on Ubuntu unless
> you use those tools.

I tried building the nomacs 0.4.0 package using debian testing and
pbuilder. There was just one lintian warning which i was able to
eliminate (adding dpkg-buildflags) . So the nomacs 0.4.0 branch of the
svn should now create a correct package (at least for lintian).

Haven't tried cowdancer till now, for laziness reasons i usually use
virtual machines for building :)

grettings

Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Fri, 28 Sep 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Sep 2012 14:39:03 GMT) Full text and rfc822 format available.

Message #40 received at 688873@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Stefan Fiel <stefan@nomacs.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Fri, 28 Sep 2012 10:36:38 -0400
[Message part 1 (text/plain, inline)]
On 2012-09-28, Stefan Fiel wrote:
> On 27.09.2012 18:38, Antoine Beaupré wrote:
>> Let me know when you have some progress on the package and I'll test it
>> again.
>>
>> I strongly encourage you to look into pbuilder and cowdancer for build
>> environments - you can't really build Debian packages on Ubuntu unless
>> you use those tools.
>
> I tried building the nomacs 0.4.0 package using debian testing and
> pbuilder. There was just one lintian warning which i was able to
> eliminate (adding dpkg-buildflags) . So the nomacs 0.4.0 branch of the
> svn should now create a correct package (at least for lintian).
>
> Haven't tried cowdancer till now, for laziness reasons i usually use
> virtual machines for building :)

That's fine. I actually find virtual machines *harder*. :P

Somehow I wasn't able to build the package from SVN, as I can't find the
0.4.1 tarball - do you have a special svn-buildpackage configuration
that I am not aware of?

As for the warning, it should be fairly simple to fix most of them. Pipe
the warnings into "lintian-info" and you already get a much better
explanation. Googling for those gives similar positive results.

I assume you dealt with this one with dpkg-buildflags:

W: nomacs: hardening-no-relro usr/bin/nomacs

Now for the others:

E: nomacs changes: bad-distribution-in-changes-file oneiric

This seems to have been fixed, as "oneiric" is not used in
debian/changelog.

W: nomacs source: native-package-with-dash-version

This is because there is no "dash" in the version documented in the
changelog. At this point, I encourage you to use a version number like
"0.4.0-1" where 0.4.0 is the version of the "upstream" nomacs code
(platform independant) and -1 is the version of the Debian package,
which you can increment as you fix stuff in the package.

Unless you want to make a full new release (e.g. 0.4.1, 0.4.2) for every
fix on the Debian package, I think it would be wise to make this a
non-native package for now. More information on this:

http://wiki.debian.org/DebianMentorsFaq#What_is_the_difference_between_a_native_Debian_package_and_a_non-native_package.3F

W: nomacs source: unknown-field-in-dsc original-maintainer

This is just about removing the XSBC-Original-Maintainer field in
debian/control.

P: nomacs: no-upstream-changelog

This you can ignore, although you could start maintaining a changelog
separate from debian/changelog, in accordance to the "non-native
package" policy explained above.

W: nomacs: latest-debian-changelog-entry-without-new-version

Can't seem to reproduce this.

P: nomacs: copyright-has-crs

As lintian-info says:

sed -i 's/\r//g' debian/copyright

... should fix this.

Thanks and good luck!

A.

-- 
Ou bien Dieu voudrait supprimer le mal, mais il ne le peut pas
Ou bien Dieu pourrait supprimer le mal, mais il ne le veut pas.
            			- Sébastien Faure
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Fri, 28 Sep 2012 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fiel <stefan@nomacs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Sep 2012 14:48:03 GMT) Full text and rfc822 format available.

Message #45 received at 688873@bugs.debian.org (full text, mbox):

From: Stefan Fiel <stefan@nomacs.org>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Fri, 28 Sep 2012 16:44:23 +0200
Hi,

yes, you were right i was dealing with the hardening-no-relro warning
if you just check out the svn (0.4.0 or trunk), debuild -us -uc then i 
get no warning or error from lentian (also when building this dsc with 
pbuilder).  Don't know if this is a good way of checking packages.

currently i don't use svn-buildpackage, wasn't aware of its existence 
when starting to make the first package for ubuntu :) Since we are 
planing to move to git in the next weeks/month I have not tried it with 
this.



On 28.09.2012 16:36, Antoine Beaupré wrote:
> On 2012-09-28, Stefan Fiel wrote:
>> On 27.09.2012 18:38, Antoine Beaupré wrote:
>>> Let me know when you have some progress on the package and I'll test it
>>> again.
>>>
>>> I strongly encourage you to look into pbuilder and cowdancer for build
>>> environments - you can't really build Debian packages on Ubuntu unless
>>> you use those tools.
>> I tried building the nomacs 0.4.0 package using debian testing and
>> pbuilder. There was just one lintian warning which i was able to
>> eliminate (adding dpkg-buildflags) . So the nomacs 0.4.0 branch of the
>> svn should now create a correct package (at least for lintian).
>>
>> Haven't tried cowdancer till now, for laziness reasons i usually use
>> virtual machines for building :)
> That's fine. I actually find virtual machines *harder*. :P
>
> Somehow I wasn't able to build the package from SVN, as I can't find the
> 0.4.1 tarball - do you have a special svn-buildpackage configuration
> that I am not aware of?
>
> As for the warning, it should be fairly simple to fix most of them. Pipe
> the warnings into "lintian-info" and you already get a much better
> explanation. Googling for those gives similar positive results.
>
> I assume you dealt with this one with dpkg-buildflags:
>
> W: nomacs: hardening-no-relro usr/bin/nomacs
>
> Now for the others:
>
> E: nomacs changes: bad-distribution-in-changes-file oneiric
>
> This seems to have been fixed, as "oneiric" is not used in
> debian/changelog.
>
> W: nomacs source: native-package-with-dash-version
>
> This is because there is no "dash" in the version documented in the
> changelog. At this point, I encourage you to use a version number like
> "0.4.0-1" where 0.4.0 is the version of the "upstream" nomacs code
> (platform independant) and -1 is the version of the Debian package,
> which you can increment as you fix stuff in the package.
>
> Unless you want to make a full new release (e.g. 0.4.1, 0.4.2) for every
> fix on the Debian package, I think it would be wise to make this a
> non-native package for now. More information on this:
>
> http://wiki.debian.org/DebianMentorsFaq#What_is_the_difference_between_a_native_Debian_package_and_a_non-native_package.3F
>
> W: nomacs source: unknown-field-in-dsc original-maintainer
>
> This is just about removing the XSBC-Original-Maintainer field in
> debian/control.
>
> P: nomacs: no-upstream-changelog
>
> This you can ignore, although you could start maintaining a changelog
> separate from debian/changelog, in accordance to the "non-native
> package" policy explained above.
>
> W: nomacs: latest-debian-changelog-entry-without-new-version
>
> Can't seem to reproduce this.
>
> P: nomacs: copyright-has-crs
>
> As lintian-info says:
>
> sed -i 's/\r//g' debian/copyright
>
> ... should fix this.
>
> Thanks and good luck!
>
> A.
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Fri, 28 Sep 2012 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Sep 2012 15:00:03 GMT) Full text and rfc822 format available.

Message #50 received at 688873@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Stefan Fiel <stefan@nomacs.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Fri, 28 Sep 2012 10:57:12 -0400
[Message part 1 (text/plain, inline)]
On 2012-09-28, Stefan Fiel wrote:
> Hi,
>
> yes, you were right i was dealing with the hardening-no-relro warning
> if you just check out the svn (0.4.0 or trunk), debuild -us -uc then i 
> get no warning or error from lentian (also when building this dsc with 
> pbuilder).  Don't know if this is a good way of checking packages.

It's a great way!

I still believe the fixes I suggested need to be applied if they haven't
been yet.

> currently i don't use svn-buildpackage, wasn't aware of its existence 
> when starting to make the first package for ubuntu :) Since we are 
> planing to move to git in the next weeks/month I have not tried it with 
> this.

That's great! In this case I encourage you to take a look at
git-buildpackage. :)

A.

PS: regarding native vs non-native package, what I often do is that I
maintain a different repository for the debian meta-data. For example,
even though I am a maintainer in the Drush project, I chose to split out
the debian directory in a separate git repository because:

 a) it allows non-drush people to maintain the package
 b) it makes it possible to maintain different *branches* for the
 package (say stable and dev) and merge packaging changes between them
 *without* merging stable in the upstream source code
 c) it makes it easier for Ubuntu or other non-Debian people to make
 changes to the package

See the drush package here:

http://git.debian.org/git/collab-maint/drush.git

It also uses git-buildpackage.

-- 
Si Dieu existe, j'espère qu'Il a une excuse valable
                        - Daniel Pennac
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688873; Package wnpp. (Wed, 23 Oct 2013 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 Oct 2013 14:45:05 GMT) Full text and rfc822 format available.

Message #55 received at 688873@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Stefan Fiel <stefan@nomacs.org>
Cc: 688873@bugs.debian.org
Subject: Re: nomacs in Debian
Date: Wed, 23 Oct 2013 10:42:00 -0400
[Message part 1 (text/plain, inline)]
Seem like I totally forgot about this package!

Any progress here? Any way I can help?

A.

On 2012-09-28 10:57:12, Antoine Beaupré wrote:
> On 2012-09-28, Stefan Fiel wrote:
>> Hi,
>>
>> yes, you were right i was dealing with the hardening-no-relro warning
>> if you just check out the svn (0.4.0 or trunk), debuild -us -uc then i 
>> get no warning or error from lentian (also when building this dsc with 
>> pbuilder).  Don't know if this is a good way of checking packages.
>
> It's a great way!
>
> I still believe the fixes I suggested need to be applied if they haven't
> been yet.
>
>> currently i don't use svn-buildpackage, wasn't aware of its existence 
>> when starting to make the first package for ubuntu :) Since we are 
>> planing to move to git in the next weeks/month I have not tried it with 
>> this.
>
> That's great! In this case I encourage you to take a look at
> git-buildpackage. :)
>
> A.
>
> PS: regarding native vs non-native package, what I often do is that I
> maintain a different repository for the debian meta-data. For example,
> even though I am a maintainer in the Drush project, I chose to split out
> the debian directory in a separate git repository because:
>
>  a) it allows non-drush people to maintain the package
>  b) it makes it possible to maintain different *branches* for the
>  package (say stable and dev) and merge packaging changes between them
>  *without* merging stable in the upstream source code
>  c) it makes it easier for Ubuntu or other non-Debian people to make
>  changes to the package
>
> See the drush package here:
>
> http://git.debian.org/git/collab-maint/drush.git
>
> It also uses git-buildpackage.
>
> -- 
> Si Dieu existe, j'espère qu'Il a une excuse valable
>                         - Daniel Pennac

-- 
There has been only one Christian.
They caught him and crucified him -- early.
                        - Mark Twain
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:03:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.